import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M132-132v-696h34v696h-34Zm317-174v-348h62v348h-62Zm345 174v-696h34v696h-34Z",
    "200": "M120-120v-720h40v720h-40Zm324.62-180v-360h70.76v360h-70.76ZM800-120v-720h40v720h-40Z",
    "300": "M100-100v-760h50v760h-50Zm337.31-190v-380h85.38v380h-85.38ZM810-100v-760h50v760h-50Z",
    "400": "M80-80v-800h60v800H80Zm350-200v-400h100v400H430ZM820-80v-800h60v800h-60Z",
    "500": "M74.02-74.02v-812.2h68.13v812.2H74.02Zm351.91-201.91v-408.14h108.14v408.14H425.93ZM817.85-74.02v-812.2h68.37v812.2h-68.37Z",
    "600": "M65.87-65.87V-894.7h79.22v828.83H65.87Zm354.52-204.52v-419.22h119.22v419.22H420.39ZM814.91-65.87V-894.7h79.79v828.83h-79.79Z",
    "700": "M55-55v-851h94v851H55Zm358-208v-434h134v434H413ZM811-55v-851h95v851h-95Z"
  }
};
const HorizontalDistributeW100 = createMaterialIcon("horizontal_distribute", pathData.regular[100]);
const HorizontalDistributeW200 = createMaterialIcon("horizontal_distribute", pathData.regular[200]);
const HorizontalDistributeW300 = createMaterialIcon("horizontal_distribute", pathData.regular[300]);
const HorizontalDistributeW400 = createMaterialIcon("horizontal_distribute", pathData.regular[400]);
const HorizontalDistributeW500 = createMaterialIcon("horizontal_distribute", pathData.regular[500]);
const HorizontalDistributeW600 = createMaterialIcon("horizontal_distribute", pathData.regular[600]);
const HorizontalDistributeW700 = createMaterialIcon("horizontal_distribute", pathData.regular[700]);
const HorizontalDistributeFillW100 = createMaterialIcon("horizontal_distribute", pathData.regular[100]);
const HorizontalDistributeFillW200 = createMaterialIcon("horizontal_distribute", pathData.regular[200]);
const HorizontalDistributeFillW300 = createMaterialIcon("horizontal_distribute", pathData.regular[300]);
const HorizontalDistributeFillW400 = createMaterialIcon("horizontal_distribute", pathData.regular[400]);
const HorizontalDistributeFillW500 = createMaterialIcon("horizontal_distribute", pathData.regular[500]);
const HorizontalDistributeFillW600 = createMaterialIcon("horizontal_distribute", pathData.regular[600]);
const HorizontalDistributeFillW700 = createMaterialIcon("horizontal_distribute", pathData.regular[700]);

export { HorizontalDistributeFillW100, HorizontalDistributeFillW200, HorizontalDistributeFillW300, HorizontalDistributeFillW400, HorizontalDistributeFillW500, HorizontalDistributeFillW600, HorizontalDistributeFillW700, HorizontalDistributeW100, HorizontalDistributeW200, HorizontalDistributeW300, HorizontalDistributeW400, HorizontalDistributeW500, HorizontalDistributeW600, HorizontalDistributeW700 };
